'\" t
.\"     Title: PGPOOL SET
.\"    Author: The Pgpool Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: pgpool-II 4.3beta1 Documentation
.\"    Source: pgpool-II 4.3beta1
.\"  Language: English
.\"
.TH "PGPOOL SET" "1" "2020" "pgpool-II 4.3beta1" "pgpool-II 4.3beta1 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
PGPOOL_SET \- change a configuration parameter
.SH "SYNOPSIS"
.sp
.nf
   PGPOOL SET  \fIconfiguration_parameter\fR { TO | = } { \fIvalue\fR | \*(Aq\fIvalue\fR\*(Aq | DEFAULT }
  
.fi
.SH "DESCRIPTION"
.PP
The
\fBPGPOOL SET\fR
command changes the value of
Pgpool\-II
configuration parameters for the current session\&. This command is similar to the
\m[blue]\fB\fBSET\fR\fR\m[]\&\s-2\u[1]\d\s+2
command in PostgreSQL with an addition of
PGPOOL
keyword to distinguish it from the PostgreSQL SET command\&. Many of the configuration parameters listed in
Chapter 5, Server Configuration, in the documentation
can be changed on\-the\-fly with
\fBPGPOOL SET\fR
and it only affects the value used by the current session\&.
.SH "EXAMPLES"
.PP
Change the value of
client_idle_limit
parameter:
.sp
.if n \{\
.RS 4
.\}
.nf
     PGPOOL SET client_idle_limit = 350;
    
.fi
.if n \{\
.RE
.\}
.PP
Reset the value of
client_idle_limit
parameter to default:
.sp
.if n \{\
.RS 4
.\}
.nf
     PGPOOL SET client_idle_limit TO DEFAULT;
    
.fi
.if n \{\
.RE
.\}
.PP
Change the value of
log_min_messages
parameter:
.sp
.if n \{\
.RS 4
.\}
.nf
     PGPOOL SET log_min_messages TO INFO;
    
.fi
.if n \{\
.RE
.\}
.sp
.SH "SEE ALSO"
PGPOOL RESET (\fBPGPOOL_RESET\fR(1)), PGPOOL SHOW (\fBPGPOOL_SHOW\fR(1))
.SH "NOTES"
.IP " 1." 4
    \fBSET\fR
.RS 4
\%https://www.postgresql.org/docs/current/static/sql-set.html
.RE
